using AutoMapper;
using HanyadikHetVan.Data.Entities;
using HanyadikHetVan.DTO;

namespace HanyadikHetVan.Profiles
{
    public class FunFactProfile : Profile
    {
        public FunFactProfile()
        {
            CreateMap<FunFact, FunFactDTO>();
            CreateMap<FunFactDTO, FunFact>().ForMember(x => x.Id, options => options.Ignore()).ForMember(x => x.WeeklyTimeSpanId, options => options.Ignore()).ForMember(x => x.WeeklyTimeSpan, options => options.Ignore());
        }
    }
}
